fop 1.1

## org.apache.fop.afp
Interface StructuredData

All Known Subinterfaces:
  Triplet

All Known Implementing Classes:
  AbstractGraphicsCoord, AbstractGraphicsDrawingOrder, AbstractGraphicsDrawingOrderContainer, AbstractTriplet, AttributeQualifierTriplet, AttributeValueTriplet, CommentTriplet, DescriptorPositionTriplet, ExtendedResourceLocalIdentifierTriplet, FullyQualifiedNameTriplet, GraphicsAreaBegin, GraphicsAreaEnd, GraphicsBox, GraphicsChainedSegment, GraphicsCharacterString, GraphicsData, GraphicsEndProlog, GraphicsFillet, GraphicsFullArc, GraphicsImage, GraphicsLine, GraphicsSetArcParameters, GraphicsSetCharacterSet, GraphicsSetCurrentPosition, GraphicsSetFractionalLineWidth, GraphicsSetLineType, GraphicsSetLineWidth, GraphicsSetMix, GraphicsSetPatternSymbol, GraphicsSetProcessColor, MappingOptionTriplet, MeasurementUnitsTriplet, ObjectAreaSizeTriplet, ObjectByteExtentTriplet, ObjectClassificationTriplet, PresentationSpaceMixingRulesTriplet, PresentationSpaceResetMixingTriplet, ResourceObjectTypeTriplet

    public interface StructuredData

An AFP object which is able to know its own data length prior to writeToStream()

Method Summary
`int` `getDataLength()` Returns the data length of this structured field

Method Detail

### getDataLength

    int getDataLength()

  Returns the data length of this structured field

  Returns:
    the data length of this structured field

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.